attribute vec4 a_position;
attribute vec4 a_color;
attribute vec2 a_texCoord0;

uniform mat4 u_projTrans;
uniform float time;
uniform vec2 resolution;

varying vec4 vColor;
varying vec2 vTexCoord;
varying float vTime;
varying vec2 vResolution;
void main() {
	vColor = a_color;
	vTexCoord = a_texCoord0;
	vTime = time;
	vResolution = resolution;

	gl_Position = u_projTrans * a_position;
}
